OJTestFailure Class Reference

List of all members.

## Public Member Functions

(CPException _thrownException) | - accessors`[implementation]`
(CPString) | - description`[implementation]`
(CPString) | - exceptionMessage`[implementation]`
(id) | - initWithTest:exception:`[implementation]`
(BOOL) | - isFailure`[implementation]`
(CPString) | - trace`[implementation]`

## Detailed Description

Definition at line 22 of file OJTestFailure.j.

## Member Function Documentation

- (CPException _thrownException) accessors |  | (readonly) |
|  | (property) | = `thrownException`
|  |  | `[implementation]`

- (CPString) description |  |  | `[implementation]`

Definition at line 38 of file OJTestFailure.j.

- (CPString) exceptionMessage |  |  | `[implementation]`

Definition at line 48 of file OJTestFailure.j.

- (id) initWithTest: |  | (OJTest) | failedTest
exception: |  | (CPException) | thrownException
|  |  | `[implementation]`

Definition at line 28 of file OJTestFailure.j.

- (BOOL) isFailure |  |  | `[implementation]`

Definition at line 53 of file OJTestFailure.j.

- (CPString) trace |  |  | `[implementation]`

Definition at line 43 of file OJTestFailure.j.

The documentation for this class was generated from the following file:

- Frameworks/OJUnit/OJTestFailure.j

All Classes Files Functions Variables